ProcessMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.bpm.ProcessMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.bpm
Class ProcessMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.bpm.ProcessMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class ProcessMessageReceiver

extends AbstractMessageReceiver

Generates an incoming Mule event from an executing workflow process.

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`ProcessMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`void` | `generateAsynchronousEvent(String endpoint, Object payload, Map messageProperties)`
`protected MuleMessage` | `generateEvent(String endpoint, Object payload, Map messageProperties, boolean synchronous)`
`MuleMessage` | `generateSynchronousEvent(String endpoint, Object payload, Map messageProperties)`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### ProcessMessageReceiver

    public ProcessMessageReceiver(Connector connector,
                                  Service service,
                                  InboundEndpoint endpoint)
                           throws CreateException

Throws:
  `CreateException`

Method Detail

### generateSynchronousEvent

    public MuleMessage generateSynchronousEvent(String endpoint,
                                                Object payload,
                                                Map messageProperties)
                                         throws MuleException

  Throws:
    `MuleException`

### generateAsynchronousEvent

    public void generateAsynchronousEvent(String endpoint,
                                          Object payload,
                                          Map messageProperties)
                                   throws MuleException

  Throws:
    `MuleException`

### generateEvent

    protected MuleMessage generateEvent(String endpoint,
                                        Object payload,
                                        Map messageProperties,
                                        boolean synchronous)
                                 throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.